/* -*- ObjC -*- */
#ifndef __included_music_h
#define __included_music_h

#include <objc/Object.h>

extern int music_vol;

void play_music(const char *directory);
void poll_music(void);
void free_music(void);

void adjust_music_volume(void);

void play_mp3(const char *filename);
void start_autopoll_music(void);
void stop_autopoll_music(void);

void music_init(void);
void music_shutdown(void);

#endif
